<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: ImuData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_imu_data.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_imu_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ImuData Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining IMU datas.  
 <a href="class_imu_data.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_imu_data_8h_source.html">ImuData.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for ImuData:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_imu_data.png" usemap="#ImuData_map" alt=""/>
  <map id="ImuData_map" name="ImuData_map">
<area href="classio__data.html" title="Abstract class for data types. " alt="io_data" shape="rect" coords="0,112,57,136"/>
<area href="class_mutex.html" title="Class defining a mutex. " alt="Mutex" shape="rect" coords="0,56,57,80"/>
<area href="class_object.html" title="Base class for all Framework&#39;s classes. " alt="Object" shape="rect" coords="0,0,57,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a471758b895e4926a2b2d447e5a298910"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910">AvailableData_t</a> { <br/>
&#160;&#160;<a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910a09c43eb2b841305f9a6bf1668443f422">HasEulerAngles</a> =0x01, 
<a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910a666e8d86f5e913abe49ad26161253e94">HasOrientationMatrix</a> =0x02, 
<a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910ab389624fe6e59c17f43f6287b545fed6">HasQuaternions</a> =0x04, 
<a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910a66ae845f7021f929a2ba9e41c3445a6e">HasFilteredAngRates</a> =0x08, 
<br/>
&#160;&#160;<a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910a11054eb393e9b78a4800ad2c98d09ecc">HasRawAcc</a> =0x10, 
<a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910a0539d0b6f00fc6b3eb342ae7ebb53b98">HasRawGyr</a> =0x20, 
<a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910a4989fc659c35e3702aa99833725bf4b1">HasRawMag</a> =0x40
<br/>
 }</td></tr>
<tr class="memdesc:a471758b895e4926a2b2d447e5a298910"><td class="mdescLeft">&#160;</td><td class="mdescRight">Datas available in this class.  <a href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910">More...</a><br/></td></tr>
<tr class="separator:a471758b895e4926a2b2d447e5a298910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af14bdab2d22d17a91a29726bb65b2c2e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2e">PlotableData_t</a> { <br/>
&#160;&#160;<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea8caf3304467884858476fd3d8ce689ed">Roll</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2eae3a2f825607c19d5d2107a732c65b5d0">Pitch</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2eac3714062bab80c5d7d950b78584323b6">Yaw</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea79092f7f3f6b415d10a448dd2b1d1589">Wx</a>, 
<br/>
&#160;&#160;<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea84ad89eb706220196e8f018943e0a324">Wy</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2eaff1d775e1e7f5a077b14591eafb53cd4">Wz</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea897af6988135c48f17a5d4d3e494c4e8">RawAx</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea7b4e848f8cb4d02f28ce402721f2499b">RawAy</a>, 
<br/>
&#160;&#160;<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea3617fed2f40a7233d8cebf78c1ec2e26">RawAz</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea5cae382e9770b70fcef745fd10155f49">RawGx</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea3dd71fff102191b1f51cc7b1395186e3">RawGy</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea3083572cbfa843806d4803a00aa0b284">RawGz</a>, 
<br/>
&#160;&#160;<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea259e54de962f15f735d7cb4dc13c8174">RawMx</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2ea29ff0e5c6afaf148e1d3ab8c8682b190">RawMy</a>, 
<a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2eac7cc0c1db2c112d8fdc24d2fbeacdc80">RawMz</a>
<br/>
 }</td></tr>
<tr class="memdesc:af14bdab2d22d17a91a29726bb65b2c2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Datas wich can be plotted in a <a class="el" href="class_data_plot1_d.html" title="Class displaying a 1D plot on the ground station. ">DataPlot1D</a>.  <a href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2e">More...</a><br/></td></tr>
<tr class="separator:af14bdab2d22d17a91a29726bb65b2c2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48880f5dd6f58d8df2dfcd6f9572a993"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#a48880f5dd6f58d8df2dfcd6f9572a993">Conversion_t</a> { <a class="el" href="class_imu_data.html#a48880f5dd6f58d8df2dfcd6f9572a993af67ed50facc7f6808408cf7ed360038e">None</a>, 
<a class="el" href="class_imu_data.html#a48880f5dd6f58d8df2dfcd6f9572a993aeba2567886e8d82342c40a6b607a4997">Rad2Deg</a>
 }</td></tr>
<tr class="memdesc:a48880f5dd6f58d8df2dfcd6f9572a993"><td class="mdescLeft">&#160;</td><td class="mdescRight">type of conversion  <a href="class_imu_data.html#a48880f5dd6f58d8df2dfcd6f9572a993">More...</a><br/></td></tr>
<tr class="separator:a48880f5dd6f58d8df2dfcd6f9572a993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classio__data"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classio__data')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classio__data.html">io_data</a></td></tr>
<tr class="memitem:a02d21f7ecb725b003e28c9d355f5712e inherit pub_types_classio__data"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712e">DataType_t</a> { <a class="el" href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712eacc6d13332c7dc15cafd49c5c2bc41ed5">Float</a>, 
<a class="el" href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712ea7672390417e10dc82f153511ea41256e">Int8_t</a>
 }</td></tr>
<tr class="memdesc:a02d21f7ecb725b003e28c9d355f5712e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Types of data.  <a href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712e">More...</a><br/></td></tr>
<tr class="separator:a02d21f7ecb725b003e28c9d355f5712e inherit pub_types_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac6bfa7f4c5f02166053863b84c910b78"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#ac6bfa7f4c5f02166053863b84c910b78">ImuData</a> (<a class="el" href="class_object.html">Object</a> *parent, <a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910">AvailableData_t</a> availabledata, std::string name=&quot;&quot;, int n=1)</td></tr>
<tr class="memdesc:ac6bfa7f4c5f02166053863b84c910b78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ac6bfa7f4c5f02166053863b84c910b78">More...</a><br/></td></tr>
<tr class="separator:ac6bfa7f4c5f02166053863b84c910b78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab86820b80e8a5279ea300d7899ea59c1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#ab86820b80e8a5279ea300d7899ea59c1">~ImuData</a> ()</td></tr>
<tr class="memdesc:ab86820b80e8a5279ea300d7899ea59c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ab86820b80e8a5279ea300d7899ea59c1">More...</a><br/></td></tr>
<tr class="separator:ab86820b80e8a5279ea300d7899ea59c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbdafe31f93725b6acca48b35dd41de0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910">AvailableData_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#abbdafe31f93725b6acca48b35dd41de0">AvailableData</a> (void)</td></tr>
<tr class="memdesc:abbdafe31f93725b6acca48b35dd41de0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kind of available datas.  <a href="#abbdafe31f93725b6acca48b35dd41de0">More...</a><br/></td></tr>
<tr class="separator:abbdafe31f93725b6acca48b35dd41de0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9c9c706f9ced906ef54103da20ead60"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#ae9c9c706f9ced906ef54103da20ead60">Convert</a> (float value, <a class="el" href="class_imu_data.html#a48880f5dd6f58d8df2dfcd6f9572a993">Conversion_t</a> conversion)</td></tr>
<tr class="memdesc:ae9c9c706f9ced906ef54103da20ead60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert angles.  <a href="#ae9c9c706f9ced906ef54103da20ead60">More...</a><br/></td></tr>
<tr class="separator:ae9c9c706f9ced906ef54103da20ead60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classio__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classio__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classio__data.html">io_data</a></td></tr>
<tr class="memitem:a6566ac61fd85bc2941e74d960217dfca inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a6566ac61fd85bc2941e74d960217dfca">io_data</a> (<a class="el" href="class_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a6566ac61fd85bc2941e74d960217dfca inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a6566ac61fd85bc2941e74d960217dfca">More...</a><br/></td></tr>
<tr class="separator:a6566ac61fd85bc2941e74d960217dfca inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae33d6a4c7938d8930ff08ea7e35de93d inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#ae33d6a4c7938d8930ff08ea7e35de93d">~io_data</a> ()</td></tr>
<tr class="memdesc:ae33d6a4c7938d8930ff08ea7e35de93d inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ae33d6a4c7938d8930ff08ea7e35de93d">More...</a><br/></td></tr>
<tr class="separator:ae33d6a4c7938d8930ff08ea7e35de93d inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c160b98afedd230927e4e51b5d99e8a inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a8c160b98afedd230927e4e51b5d99e8a">Size</a> (void)</td></tr>
<tr class="memdesc:a8c160b98afedd230927e4e51b5d99e8a inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data size.  <a href="#a8c160b98afedd230927e4e51b5d99e8a">More...</a><br/></td></tr>
<tr class="separator:a8c160b98afedd230927e4e51b5d99e8a inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad2271b3383a6e2fe84570d1e74ca23d inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#aad2271b3383a6e2fe84570d1e74ca23d">SetDataTime</a> (Time time)</td></tr>
<tr class="memdesc:aad2271b3383a6e2fe84570d1e74ca23d inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time.  <a href="#aad2271b3383a6e2fe84570d1e74ca23d">More...</a><br/></td></tr>
<tr class="separator:aad2271b3383a6e2fe84570d1e74ca23d inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a829e5b3b1807b666cd0d6be109c0a198 inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top">Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a829e5b3b1807b666cd0d6be109c0a198">DataTime</a> (void)</td></tr>
<tr class="memdesc:a829e5b3b1807b666cd0d6be109c0a198 inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a829e5b3b1807b666cd0d6be109c0a198">More...</a><br/></td></tr>
<tr class="separator:a829e5b3b1807b666cd0d6be109c0a198 inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6dca16c6aa85245803423a2b1872534 inherit pub_methods_classio__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classio__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#af6dca16c6aa85245803423a2b1872534">Prev</a> (int n)</td></tr>
<tr class="memdesc:af6dca16c6aa85245803423a2b1872534 inherit pub_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#af6dca16c6aa85245803423a2b1872534">More...</a><br/></td></tr>
<tr class="separator:af6dca16c6aa85245803423a2b1872534 inherit pub_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_mutex.html">Mutex</a></td></tr>
<tr class="memitem:a9e4b1eb4f3d02fe0b3d7c66ab094db42 inherit pub_methods_class_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#a9e4b1eb4f3d02fe0b3d7c66ab094db42">Mutex</a> (<a class="el" href="class_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:a9e4b1eb4f3d02fe0b3d7c66ab094db42 inherit pub_methods_class_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a9e4b1eb4f3d02fe0b3d7c66ab094db42">More...</a><br/></td></tr>
<tr class="separator:a9e4b1eb4f3d02fe0b3d7c66ab094db42 inherit pub_methods_class_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9e9182407f5f74892318607888e9be4 inherit pub_methods_class_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#ac9e9182407f5f74892318607888e9be4">~Mutex</a> ()</td></tr>
<tr class="memdesc:ac9e9182407f5f74892318607888e9be4 inherit pub_methods_class_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac9e9182407f5f74892318607888e9be4">More...</a><br/></td></tr>
<tr class="separator:ac9e9182407f5f74892318607888e9be4 inherit pub_methods_class_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add1b327c351cdac82746a925f7d92878 inherit pub_methods_class_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#add1b327c351cdac82746a925f7d92878">GetMutex</a> (void)</td></tr>
<tr class="memdesc:add1b327c351cdac82746a925f7d92878 inherit pub_methods_class_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#add1b327c351cdac82746a925f7d92878">More...</a><br/></td></tr>
<tr class="separator:add1b327c351cdac82746a925f7d92878 inherit pub_methods_class_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af03748e67dd3585b65efb8f69b64bf6e inherit pub_methods_class_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mutex.html#af03748e67dd3585b65efb8f69b64bf6e">ReleaseMutex</a> (void)</td></tr>
<tr class="memdesc:af03748e67dd3585b65efb8f69b64bf6e inherit pub_methods_class_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#af03748e67dd3585b65efb8f69b64bf6e">More...</a><br/></td></tr>
<tr class="separator:af03748e67dd3585b65efb8f69b64bf6e inherit pub_methods_class_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a> (<a class="el" href="class_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a588cf9896a6c1f62733bc7faf013941d">More...</a><br/></td></tr>
<tr class="separator:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aa3e791419d84c4c346ef9499513b8e00">~Object</a> ()</td></tr>
<tr class="memdesc:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa3e791419d84c4c346ef9499513b8e00">More...</a><br/></td></tr>
<tr class="separator:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#afaa39b1021f3a731cda644164b2be3ba">ObjectName</a> (void)</td></tr>
<tr class="memdesc:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#afaa39b1021f3a731cda644164b2be3ba">More...</a><br/></td></tr>
<tr class="separator:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a3e34b6351fad490250b5c0619ea22e17">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a3e34b6351fad490250b5c0619ea22e17">More...</a><br/></td></tr>
<tr class="separator:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">Parent</a> (void)</td></tr>
<tr class="memdesc:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">More...</a><br/></td></tr>
<tr class="separator:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aceddcf29a2c656eaaa77fbb99f344425">RootParent</a> (void)</td></tr>
<tr class="memdesc:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root parent.  <a href="#aceddcf29a2c656eaaa77fbb99f344425">More...</a><br/></td></tr>
<tr class="separator:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_framework_manager.html">FrameworkManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a4d3f28e95db7f6d7d9818ba1316024c9">RootFrameworkManager</a> (void)</td></tr>
<tr class="memdesc:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root <a class="el" href="class_framework_manager.html" title="Main class of the Framework library. ">FrameworkManager</a>.  <a href="#a4d3f28e95db7f6d7d9818ba1316024c9">More...</a><br/></td></tr>
<tr class="separator:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a0784589b4cd7109d5a6ab88bbc9fdd20">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a0784589b4cd7109d5a6ab88bbc9fdd20">More...</a><br/></td></tr>
<tr class="separator:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a47326acf6f5b86e667e90f7c36b5222d">Childs</a> (void)</td></tr>
<tr class="memdesc:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a47326acf6f5b86e667e90f7c36b5222d">More...</a><br/></td></tr>
<tr class="separator:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a119852e43f936ff51605c4e994aa3883">More...</a><br/></td></tr>
<tr class="separator:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a28958c66842aafb754b3f851c6bbc867">More...</a><br/></td></tr>
<tr class="separator:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a6a9e4e23a9d13a07552bc37f8cc004aa">More...</a><br/></td></tr>
<tr class="separator:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ad256f0a15648e0608851f84f2a653fe3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_euler.html">Euler</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#ad256f0a15648e0608851f84f2a653fe3">EulerAngles</a></td></tr>
<tr class="memdesc:ad256f0a15648e0608851f84f2a653fe3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Euler angles  <a href="#ad256f0a15648e0608851f84f2a653fe3">More...</a><br/></td></tr>
<tr class="separator:ad256f0a15648e0608851f84f2a653fe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f06f4a7e47e943891ea52a1a0286d59"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_point3_d.html">Point3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#a6f06f4a7e47e943891ea52a1a0286d59">FilteredAngRates</a></td></tr>
<tr class="memdesc:a6f06f4a7e47e943891ea52a1a0286d59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Filtered angular rates.  <a href="#a6f06f4a7e47e943891ea52a1a0286d59">More...</a><br/></td></tr>
<tr class="separator:a6f06f4a7e47e943891ea52a1a0286d59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a873de5be5dfdeb0b839aae0274c61"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_point3_d.html">Point3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#a54a873de5be5dfdeb0b839aae0274c61">RawAcc</a></td></tr>
<tr class="memdesc:a54a873de5be5dfdeb0b839aae0274c61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raw accelerometer.  <a href="#a54a873de5be5dfdeb0b839aae0274c61">More...</a><br/></td></tr>
<tr class="separator:a54a873de5be5dfdeb0b839aae0274c61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c99d52cd34567d0c37fa041cb9c2559"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_point3_d.html">Point3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#a7c99d52cd34567d0c37fa041cb9c2559">RawGyr</a></td></tr>
<tr class="memdesc:a7c99d52cd34567d0c37fa041cb9c2559"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raw gyrometer.  <a href="#a7c99d52cd34567d0c37fa041cb9c2559">More...</a><br/></td></tr>
<tr class="separator:a7c99d52cd34567d0c37fa041cb9c2559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae39757910b23013ef1c15f873a3c7575"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_point3_d.html">Point3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_imu_data.html#ae39757910b23013ef1c15f873a3c7575">RawMag</a></td></tr>
<tr class="memdesc:ae39757910b23013ef1c15f873a3c7575"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raw magnetometer.  <a href="#ae39757910b23013ef1c15f873a3c7575">More...</a><br/></td></tr>
<tr class="separator:ae39757910b23013ef1c15f873a3c7575"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ad46e831ac641c6aa827a3876c9f47086">GetTime</a> (void)</td></tr>
<tr class="memdesc:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time.  <a href="#ad46e831ac641c6aa827a3876c9f47086">More...</a><br/></td></tr>
<tr class="separator:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a8554cf8ecd619d2f5b1a3eed36413cb6">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted print.  <a href="#a8554cf8ecd619d2f5b1a3eed36413cb6">More...</a><br/></td></tr>
<tr class="separator:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classio__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classio__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classio__data.html">io_data</a></td></tr>
<tr class="memitem:aabcbf9c99bc60c72108f8bc79d1c4541 inherit pro_methods_classio__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#aabcbf9c99bc60c72108f8bc79d1c4541">SetSize</a> (size_t size)</td></tr>
<tr class="memdesc:aabcbf9c99bc60c72108f8bc79d1c4541 inherit pro_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the size of the reimplemented class data's.  <a href="#aabcbf9c99bc60c72108f8bc79d1c4541">More...</a><br/></td></tr>
<tr class="separator:aabcbf9c99bc60c72108f8bc79d1c4541 inherit pro_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52e2316338ce08a05c38d3b080c70c60 inherit pro_methods_classio__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a52e2316338ce08a05c38d3b080c70c60">AppendLogDescription</a> (std::string description, <a class="el" href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712e">DataType_t</a> datatype)</td></tr>
<tr class="memdesc:a52e2316338ce08a05c38d3b080c70c60 inherit pro_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#a52e2316338ce08a05c38d3b080c70c60">More...</a><br/></td></tr>
<tr class="separator:a52e2316338ce08a05c38d3b080c70c60 inherit pro_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a0a5edfdc5ac78064243d8a5b251633 inherit pro_methods_classio__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a3a0a5edfdc5ac78064243d8a5b251633">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:a3a0a5edfdc5ac78064243d8a5b251633 inherit pro_methods_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#a3a0a5edfdc5ac78064243d8a5b251633">More...</a><br/></td></tr>
<tr class="separator:a3a0a5edfdc5ac78064243d8a5b251633 inherit pro_methods_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classio__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classio__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classio__data.html">io_data</a></td></tr>
<tr class="memitem:a70ae59c9ab8442151b8b85766a1f8381 inherit pro_attribs_classio__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classio__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classio__data.html#a70ae59c9ab8442151b8b85766a1f8381">prev</a></td></tr>
<tr class="memdesc:a70ae59c9ab8442151b8b85766a1f8381 inherit pro_attribs_classio__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a70ae59c9ab8442151b8b85766a1f8381">More...</a><br/></td></tr>
<tr class="separator:a70ae59c9ab8442151b8b85766a1f8381 inherit pro_attribs_classio__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining IMU datas. </p>
<p>IMU (inertial measurment unit) datas can consist of <a class="el" href="class_euler.html" title="Class defining euler angles. ">Euler</a> angle, quaternions, orientation matrix, filtered rotational angles , raw accelerometer values, raw gyrometer values or raw magnetometer values. <br/>
 This class represnts this kind of datas, through <a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910" title="Datas available in this class. ">ImuData::AvailableData_t</a>. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a471758b895e4926a2b2d447e5a298910"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910">ImuData::AvailableData_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Datas available in this class. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="a471758b895e4926a2b2d447e5a298910a09c43eb2b841305f9a6bf1668443f422"></a>HasEulerAngles</em>&nbsp;</td><td class="fielddoc">
<p>Euler angles </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="a471758b895e4926a2b2d447e5a298910a666e8d86f5e913abe49ad26161253e94"></a>HasOrientationMatrix</em>&nbsp;</td><td class="fielddoc">
<p>orientation matrix </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="a471758b895e4926a2b2d447e5a298910ab389624fe6e59c17f43f6287b545fed6"></a>HasQuaternions</em>&nbsp;</td><td class="fielddoc">
<p>quaternions </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="a471758b895e4926a2b2d447e5a298910a66ae845f7021f929a2ba9e41c3445a6e"></a>HasFilteredAngRates</em>&nbsp;</td><td class="fielddoc">
<p>filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="a471758b895e4926a2b2d447e5a298910a11054eb393e9b78a4800ad2c98d09ecc"></a>HasRawAcc</em>&nbsp;</td><td class="fielddoc">
<p>raw accelerometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="a471758b895e4926a2b2d447e5a298910a0539d0b6f00fc6b3eb342ae7ebb53b98"></a>HasRawGyr</em>&nbsp;</td><td class="fielddoc">
<p>raw gyrometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="a471758b895e4926a2b2d447e5a298910a4989fc659c35e3702aa99833725bf4b1"></a>HasRawMag</em>&nbsp;</td><td class="fielddoc">
<p>raw magnetometer </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_imu_data.html#af14bdab2d22d17a91a29726bb65b2c2e">ImuData::PlotableData_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Datas wich can be plotted in a <a class="el" href="class_data_plot1_d.html" title="Class displaying a 1D plot on the ground station. ">DataPlot1D</a>. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea8caf3304467884858476fd3d8ce689ed"></a>Roll</em>&nbsp;</td><td class="fielddoc">
<p>roll </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2eae3a2f825607c19d5d2107a732c65b5d0"></a>Pitch</em>&nbsp;</td><td class="fielddoc">
<p>pitch </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2eac3714062bab80c5d7d950b78584323b6"></a>Yaw</em>&nbsp;</td><td class="fielddoc">
<p>yaw </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea79092f7f3f6b415d10a448dd2b1d1589"></a>Wx</em>&nbsp;</td><td class="fielddoc">
<p>x filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea84ad89eb706220196e8f018943e0a324"></a>Wy</em>&nbsp;</td><td class="fielddoc">
<p>y filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2eaff1d775e1e7f5a077b14591eafb53cd4"></a>Wz</em>&nbsp;</td><td class="fielddoc">
<p>z filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea897af6988135c48f17a5d4d3e494c4e8"></a>RawAx</em>&nbsp;</td><td class="fielddoc">
<p>x raw accelerometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea7b4e848f8cb4d02f28ce402721f2499b"></a>RawAy</em>&nbsp;</td><td class="fielddoc">
<p>y raw accelerometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea3617fed2f40a7233d8cebf78c1ec2e26"></a>RawAz</em>&nbsp;</td><td class="fielddoc">
<p>z raw accelerometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea5cae382e9770b70fcef745fd10155f49"></a>RawGx</em>&nbsp;</td><td class="fielddoc">
<p>x raw gyrometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea3dd71fff102191b1f51cc7b1395186e3"></a>RawGy</em>&nbsp;</td><td class="fielddoc">
<p>y raw gyrometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea3083572cbfa843806d4803a00aa0b284"></a>RawGz</em>&nbsp;</td><td class="fielddoc">
<p>z raw gyrometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea259e54de962f15f735d7cb4dc13c8174"></a>RawMx</em>&nbsp;</td><td class="fielddoc">
<p>x raw magnetometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2ea29ff0e5c6afaf148e1d3ab8c8682b190"></a>RawMy</em>&nbsp;</td><td class="fielddoc">
<p>y raw magnetometer </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="af14bdab2d22d17a91a29726bb65b2c2eac7cc0c1db2c112d8fdc24d2fbeacdc80"></a>RawMz</em>&nbsp;</td><td class="fielddoc">
<p>z raw magnetometer </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="a48880f5dd6f58d8df2dfcd6f9572a993"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_imu_data.html#a48880f5dd6f58d8df2dfcd6f9572a993">ImuData::Conversion_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>type of conversion </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><em><a class="anchor" id="a48880f5dd6f58d8df2dfcd6f9572a993af67ed50facc7f6808408cf7ed360038e"></a>None</em>&nbsp;</td><td class="fielddoc">
<p>no conversion </p>
</td></tr>
<tr><td class="fieldname"><em><a class="anchor" id="a48880f5dd6f58d8df2dfcd6f9572a993aeba2567886e8d82342c40a6b607a4997"></a>Rad2Deg</em>&nbsp;</td><td class="fielddoc">
<p>convert from radian to degree </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac6bfa7f4c5f02166053863b84c910b78"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ImuData::ImuData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910">AvailableData_t</a>&#160;</td>
          <td class="paramname"><em>availabledata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an <a class="el" href="classio__data.html" title="Abstract class for data types. ">io_data</a> representing IMU datas. <br/>
 The kind of available datas is passed throug the availabledata parameter. <br/>
 Note that available datas cannot be changed after, and querying a data which was not declared <br/>
 will return undefined result.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">availabledata</td><td>datas available </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">n</td><td>number of samples </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab86820b80e8a5279ea300d7899ea59c1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ImuData::~ImuData </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="abbdafe31f93725b6acca48b35dd41de0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_imu_data.html#a471758b895e4926a2b2d447e5a298910">AvailableData_t</a> ImuData::AvailableData </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Kind of available datas. </p>
<p>Available datas are those passed to the constructor of the class.</p>
<dl class="section return"><dt>Returns</dt><dd>available datas </dd></dl>

</div>
</div>
<a class="anchor" id="ae9c9c706f9ced906ef54103da20ead60"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float ImuData::Convert </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_imu_data.html#a48880f5dd6f58d8df2dfcd6f9572a993">Conversion_t</a>&#160;</td>
          <td class="paramname"><em>conversion</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert angles. </p>
<p>Convert from radian to degree.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value to convert </td></tr>
    <tr><td class="paramname">conversion</td><td>type of conversion </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>converted value </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="ad256f0a15648e0608851f84f2a653fe3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_euler.html">Euler</a> ImuData::EulerAngles</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Euler angles </p>

</div>
</div>
<a class="anchor" id="a6f06f4a7e47e943891ea52a1a0286d59"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_point3_d.html">Point3D</a> ImuData::FilteredAngRates</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Filtered angular rates. </p>

</div>
</div>
<a class="anchor" id="a54a873de5be5dfdeb0b839aae0274c61"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_point3_d.html">Point3D</a> ImuData::RawAcc</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Raw accelerometer. </p>

</div>
</div>
<a class="anchor" id="a7c99d52cd34567d0c37fa041cb9c2559"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_point3_d.html">Point3D</a> ImuData::RawGyr</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Raw gyrometer. </p>

</div>
</div>
<a class="anchor" id="ae39757910b23013ef1c15f873a3c7575"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_point3_d.html">Point3D</a> ImuData::RawMag</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Raw magnetometer. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_imu_data.html">ImuData</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:07 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
